Exception is thrown in view module if root page is selected
2018-10-03 21:46 - Oliver Bartsch
Description

Current behaviour:
o |f clicking the root page (id=0) in the view module and there is no Page with is_siteroot Field set, an
ServiceUnavailableException is thrown with the Message: No pages are found on the rootlevel!
e Furthermore, in the case that a Page with is_siteroot Field set exists under the root page (id=0), the view module displays this
Page while actually the root page was selected. This is very confusing.

Steps to reproduce:

¢ Set up clean TYPOS3 9.5 installation (or set all pages deleted=1)
¢ Click in the view module and select the root page (id=0) in the page tree

Would expect:

e See an information not an Exception
e See the selected page not a other page only because it's marked as siteroot
e If you need help solving this exception, you can have a look at the TYPO3 Wiki. There you can find solutions pro
Redirects you have found a solution to the problem, help others by contributing to the wiki page.
Associated revisions
Revision d4103014 - 2018-10-26 16:49 - Oliver Bartsch
[BUGFIX] Display FlashMessage in View Module

When clicking on the root page while in view module

a FlashMessage is now displayed with proper information.
The FlashMessage is also shown in the case of clicking the
root page and a Page, marked as siteroot, exists.
Furthermore the FlashMessage is now also shown if the
selected page has no valid doktype e.g. sysfolder
or spacer.

Resolves: #86563

Releases: master

Change-Id: 1a8c6cddfe38602c94b41d5da81987d061778096f
Reviewed-on: https://review.typo3.0rg/58573

Reviewed-by: Rudy Gnodde <rgn@windinternet.nl>
Tested-by: TYPO3com <no-reply@typo3.com>

Tested-by: Jasmina LieBmann Reviewed-by: Joerg Kummer <typo3@enobe.de> Tested-by: Joerg Kummer <typo3@enobe.de> Reviewed-by: Benni

Mack <benni@typo3.org> Tested-by: Benni Mack <benni@typo3.org>

History

#1 - 2018-10-03 22:02 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58573

#2 - 2018-10-03 22:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/58573

#3 - 2018-10-03 22:41 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58573

#4 - 2018-10-03 23:32 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58573

#5 - 2018-10-26 16:03 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/58573

#6 - 2018-10-26 17:00 - Oliver Bartsch
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset d4f0301479¢c22b07143247¢955¢c671587828cd29.

#7 - 2019-05-07 12:17 - Benni Mack

- Status changed from Resolved to Closed
